<div>
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                        (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                        [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                        (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1></p-autoComplete>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label>Status Surat</label>
                                </div>
                                <div class="ui-g-8">
                                    <select id="jenis1" class="form-control" name="jenis" [(ngModel)]="jenis">
                                        <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of jenisStatus">
                                            {{divitionOption.label}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari No LHP atau Nama Supplier">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
            <br>
            <!-- <button class="btn btn-primary" *jhiHasAnyAuthority="['ROLE_MGR_PRC']" (click)="updatestatuslhp('TG')">
                <span class="fa fa-pencil"></span>
                <span class="hidden-sm-down">
                    Tukar Guling
                </span>
            </button> -->
            <!-- <button class="btn btn-primary" *jhiHasAnyAuthority="['ROLE_MGR_PRC']" (click)="updatestatuslhp('NR')">
                <span class="fa fa-pencil"></span>
                <span class="hidden-sm-down">
                    Retur
                </span>
            </button> -->
            <!-- <button class="btn btn-primary" *jhiHasAnyAuthority="['ROLE_MGR_PRC']" (click)="updatestatuslhp('NP')">
                <span class="fa fa-pencil"></span>
                <span class="hidden-sm-down">
                    Pembatalan
                </span>
            </button> -->
        </div>
    </div>
    <br />
    <div>
        <p-dataTable [value]="lhps" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20,50,100,200]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            row="itemsPerPage" totalRecords="totalItems" dataKey="idlhp" expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
            <p-header>
            </p-header>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="TGL LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tanggallhp | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="No LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <a (click)="openPdf(rowData)">{{rowData.nolhp}}</a>
                </ng-template>
            </p-column>
            <p-column header="Kode bahan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.kdbahan}}
                </ng-template>
            </p-column>
            <p-column header="QTY">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qty | number : "1.0-2"}}
                </ng-template>
            </p-column>
            <p-column header="PIC">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Nama Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nm_supplier}}
                </ng-template>
            </p-column>
            <p-column header="Status Surat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.status_surat}}
                </ng-template>
            </p-column>
            <p-column header="No Retur">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_surat}}
                </ng-template>
            </p-column>
            <p-column header="Aksi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div class="ui-g-3">
                        <button pButton type="button" icon="fa-eye" (click)="getFindOne(rowData.nolhp, rowData.kdbahan)"
                            class="flat-button" pTooltip="Lihat Retur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <div class="ui-g-3" *ngIf="rowData.status_surat === 'Pending'">
                        <button pButton type="button" icon="fa-close" (click)="cancelLhp(rowData.nolhp, rowData.kdbahan)"
                            class="flat-button" pTooltip="Cancel Retur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC']" >
                        </button>
                    </div>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
    <p-dialog header="Detail LHP" [(visible)]="newModalLHP" modal="true" [width]="700">
        <!-- <form name="formdetaillhp" role="form" novalidate #editForm="ngForm"> -->
        <div class="card-deck" style="margin: 25px;">
           
            <jhi-alert-error></jhi-alert-error>
            <div class="ui-g-12">
                <table>
                    <tbody>
                        <tr>
                            <td>Tanggal Periksa LHP</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.tglperiksa | date:'dd-MM-yyyy'}}</td>
                        </tr>
                        <tr>
                            <td>Nomor LHP</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.nolhp}}</td>
                        </tr>
                        <tr>
                            <td>Nomor BBM</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.nobbm}}</td>
                        </tr>
                        <tr>
                            <td>Nama Bahan</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.namabahan}}</td>
                        </tr>
                        <tr>
                            <td>Kode Bahan</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.kdbahan}}</td>
                        </tr>
                        <tr>
                            <td>QTY Tolak</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.qtytolak | number : "1.0-2"}}</td>
                        </tr>
                        <tr>
                            <td>Satuan</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.satuan}}</td>
                        </tr>
                        <tr>
                            <td>Keterangan</td>
                            <td>&emsp; :&emsp; </td>
                            <td>{{lhp.keterangan}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- </form> -->
    </p-dialog>
</div>